Create Team Invite
curl --request POST \
--url https://api.heybee.app/v1/teams/{team_id}/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"can_access_experiments": true,
"can_export_data": false,
"can_manage_billing": false,
"can_manage_experiments": false,
"can_manage_members": false,
"can_manage_sessions": false,
"can_view_private_votes": false,
"can_vote": true,
"email": "<string>",
"expires_in_days": 7,
"role": "evaluator",
"username": "<string>"
}
'import requests
url = "https://api.heybee.app/v1/teams/{team_id}/invites"
payload = {
"can_access_experiments": True,
"can_export_data": False,
"can_manage_billing": False,
"can_manage_experiments": False,
"can_manage_members": False,
"can_manage_sessions": False,
"can_view_private_votes": False,
"can_vote": True,
"email": "<string>",
"expires_in_days": 7,
"role": "evaluator",
"username": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
can_access_experiments: true,
can_export_data: false,
can_manage_billing: false,
can_manage_experiments: false,
can_manage_members: false,
can_manage_sessions: false,
can_view_private_votes: false,
can_vote: true,
email: '<string>',
expires_in_days: 7,
role: 'evaluator',
username: '<string>'
})
};
fetch('https://api.heybee.app/v1/teams/{team_id}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"can_access_experiments": true,
"can_export_data": true,
"can_manage_billing": true,
"can_manage_experiments": true,
"can_manage_members": true,
"can_manage_sessions": true,
"can_view_private_votes": true,
"can_vote": true,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invitee_email": "<string>",
"inviter_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z",
"accepted_membership_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capabilities": {},
"declined_at": "2023-11-07T05:31:56Z",
"invite_url": "<string>",
"invitee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invitee_username": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Teams
Create Team Invite
POST
/
v1
/
teams
/
{team_id}
/
invites
Create Team Invite
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
3 - 320Required range:
1 <= x <= 30Available options:
owner, admin, builder, analyst, evaluator Required string length:
1 - 255Response
Successful Response
Available options:
owner, admin, builder, analyst, evaluator Available options:
pending, accepted, declined, revoked, expired Show child attributes
Show child attributes
⌘I

